# $Revision: 1.42 $, $Date: 2010/06/06 08:40:11 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	ext
Summary:	Net::ext Perl modules - socket interfaces
Summary(pl.UTF-8):	Moduły perla Net::ext - interfejsy do gniazd
Name:		perl-Net-ext
Version:	1.011
Release:	7
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8be68650bef6769212127d2118b44736
URL:		http://search.cpan.org/dist/Net-ext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::ext contains the following modules:
- Net::Gen - generic socket interface handling,
- Net::Inet - Internet socket interface module,
- Net::TCP - TCP sockets interface module,
- Net::TCP::Server - TCP sockets interface module for listeners and
  servers,
- Net::UDP - UDP sockets interface module,
- Net::UNIX - UNIX-domain sockets interface module,
- Net::UNIX::Server - UNIX-domain sockets interface module for
  listeners.

%description -l pl.UTF-8
Net::ext zawiera następujące moduły:
- Net::Gen - obsługa ogólnego interfejsu gniazd,
- Net::Inet - moduł interfejsu do gniazd internetowych,
- Net::TCP - moduł interfejsu do gniazd TCP,
- Net::TCP::Server - moduł interfejsu do gniazd TCP dla nasłuchujących
  i serwerów,
- Net::UDP - moduł interfejsu do gniazd UDP,
- Net::UNIX - moduł interfejsu do gniazd uniksowych,
- Net::UNIX::Server - moduł interfejsu do gniazd uniksowych dla
  nasłuchujących.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Net/*.pm
%{perl_vendorarch}/Net/TCP
%{perl_vendorarch}/Net/UNIX
%{perl_vendorarch}/auto/Net/UNIX
%{perl_vendorarch}/auto/Net/Inet
%{perl_vendorarch}/auto/Net/UDP
%dir %{perl_vendorarch}/auto/Net/Gen
%{perl_vendorarch}/auto/Net/Gen/*.al
%{perl_vendorarch}/auto/Net/Gen/autosplit.ix
%{perl_vendorarch}/auto/Net/Gen/Gen.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Gen/Gen.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-ext.spec,v $
Revision 1.42  2010/06/06 08:40:11  arekm
- release 7

Revision 1.41  2009/03/14 11:54:29  hawk
- release 6

Revision 1.40  2008/03/24 18:44:01  qboosh
- generic URL, informative descs

Revision 1.39  2008-03-02 16:08:03  radek
- release 5

Revision 1.38  2008-02-10 12:16:20  arekm
- rel 4

Revision 1.37  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.36  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:37  paladine
- formatting

Revision 1.33  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.32  2004/05/06 18:20:48  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/26 23:05:37  ankry
- added tests, license fixes

Revision 1.30  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:22:02  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:37:22  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:02:04  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:33:06  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:29:40  depesz
adapterized

Revision 1.14  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:13:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:28:45  mis
- updated (by autoup) to 0.932

Revision 1.9  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/19 06:40:36  kloczek
- do not include .packlist in %files,
- spec adapterized,
- make spec %%{debug} ready.

Revision 1.7  2001/01/13 01:17:07  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
